Agents
Rename an agent (Preview)
Preview · Available to selected organizations. Renames an agent. Use this endpoint to rename an agent through the Samva email API.
Renames an agent.
Authorization
apiKey x-api-key<token>
In: header
Path Parameters
id*string
Match
^agt_[0-9a-hjkmnp-tv-z]{16,24}$Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
name*AgentName
Match
^\S[\s\S]*\S$|^\S$|^$Length
1 <= length <= 120Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/v1/agents/string" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{ "id": "string", "name": "string", "namespaceId": "string", "revision": "string", "draft": { "instructions": "string", "knowledge": "string", "endpointIds": [ "string" ], "integrationIds": [ "string" ], "mode": "live", "model": "standard", "approvalPolicy": "toolActions", "workingHours": { "timeZone": "string", "ranges": [ { "day": "monday", "opens": "string", "closes": "string" } ] }, "takeoverTimeoutMinutes": 1 }, "publishedVersion": -9007199254740991, "publishedAt": "string", "createdAt": "string", "updatedAt": "string"}